#include "awoorwae.h"
#include <cmath>
#include <string>
#include <iostream>

namespace pabloader {

bool Awoorwae::OnUserCreate()
{
    if (!pack.LoadPack("awoorwae.pgp")) {
        std::cerr << "Cannot load resource pack res/awoorwae.pgp" << std::endl;
        return false;
    }
    if (!player->Load())
        return false;

    SetPixelMode(olc::Pixel::MASK);

    pack.ClearPack();
    return true;
}

bool Awoorwae::OnUserUpdate(float fElapsedTime)
{
    Clear(olc::VERY_DARK_CYAN);

    player->Update(fElapsedTime);
    player->Draw();
    return true;
}
}