#ifndef AWOORWAE_H
#define AWOORWAE_H

#include "olcPixelGameEngine.h"
#include "player.h"

namespace pabloader {
class Awoorwae : public olc::PixelGameEngine {
private:
    Player* player;

public:
    Awoorwae()
    {
        sAppName = "Awoorwa";
        player = new Player(this);
    }

    ~Awoorwae()
    {
        delete player;
    }

public:
    bool OnUserCreate() override;
    bool OnUserUpdate(float fElapsedTime) override;
    olc::ResourcePack pack;
};
}

#endif